# QVM: Quaternions, Vectors, Matrices

### operator-(vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_vec<A>::value
            template <class A>
            typename deduce_vec<A>::type
            operator-( A const & a );
        }
    }

#### Returns:

A vector of the negated elements of a.

See also: boost/qvm/vec_operations.hpp